private ["_mode","_amount","_chance","_autonomy"];

call compile preprocessfile "AuxF.sqf";
call compile preprocessfile "SpellBook.sqf";
call compile preprocessfile "Visual.sqf";

if (isNil ("RYDMGCK_SOURCETYPES")) then {RYDMGCK_SOURCETYPES = ["NameVillage","NameCity","NameCityCapital","Hill","VegetationBroadleaf","VegetationFir","VegetationPalm","VegetationVineyard"]};

RYDMGCK_SPELLBOOK = 
	[
	["RYDMGCK_CLAIRVOYANT",1],
	["RYDMGCK_ICESTORM",1],
	["RYDMGCK_SHIELD",1],
	["RYDMGCK_SKYCANDLE",1],
	["RYDMGCK_TELEPORT",1],
	["RYDMGCK_DRAGONSCRY",2],
	["RYDMGCK_FREEZE",2],
	["RYDMGCK_INVISIBILITY",2],
	["RYDMGCK_CATAPULT",3],
	["RYDMGCK_CURSE",3],
	["RYDMGCK_FIREBALL",3],
	["RYDMGCK_FLYINGCARPET",3],
	["RYDMGCK_LIFEDRAIN",3],
	["RYDMGCK_SUMMONELF",3],
	["RYDMGCK_CHICKENCURSE",4],
	["RYDMGCK_MADNESS",4],
	["RYDMGCK_SUMMONORCS",4],
	["RYDMGCK_MADRABBITS",5],
	["RYDMGCK_SUMMONEARTHELEMENTAL",5],
	["RYDMGCK_SUMMONFIREELEMENTAL",5],
	["RYDMGCK_SUMMONDRAGON",6],
	["RYDMGCK_METEORSHOWER",6]
	];

Magopulator = compile preprocessfile "Magopulator.sqf";
WizardsFate = compile preprocessfile "WizardsFate.sqf";
EnchantInit = compile preprocessfile "EnchantInit.sqf";
Enchanting = compile preprocessfile "Enchanting.sqf";


_mode = _this select 0;//possible: "RANDOM";"SYNCHRO";"HYBRID"
_amount = _this select 1;//number limit of randomized mages - needed  for "RANDOM" and "HYBRID". In "HIBRID" synchronized mages aren't counted for limit check. 
_chance = _this select 2;//chance for each group leader to become a mage. Checked once for each leader - needed  for "RANDOM" and "HYBRID"
_autonomy = _this select 3;//if AI mages should look for mana sources and defend them

[_mode,_amount,_chance,_autonomy] spawn Magopulator;