RYD_AngTowards = 
	{
	private ["_source0", "_target0", "_rnd0","_dX0","_dY0","_angleAzimuth0"];
	_source0 = _this select 0;
	_target0 = _this select 1;
	_rnd0 = _this select 2;

	_dX0 = (_target0 select 0) - (_source0 select 0);
	_dY0 = (_target0 select 1) - (_source0 select 1);

	_angleAzimuth0 = (_dX0 atan2 _dY0) + (random _rnd0) - (random _rnd0);

	_angleAzimuth0
	};

RYD_PosTowards = 
	{
	private ["_source","_source2","_target","_distT","_angle","_dXb","_dYb","_px","_py","_pz","_pz2"];
	_source = getPos (_this select 0);
	_source2 = getPosASL (_this select 0);
	_target = getPos (_this select 1);
	_distT = _this select 2;

	_angle = [_source,_target,0] call RYD_AngTowards;

	_dXb = _distT * (sin _angle);
	_dYb = _distT * (cos _angle);

	_px = (_source select 0) + _dXb;
	_py = (_source select 1) + _dYb;

	_pz = (_source select 2) + 1.35;
	_pz2 = (_source2 select 2) + 1.35;

	[[_px,_py,_pz],_pz2]
	};

RYD_VecTowards = 
	{
	private ["_CrPos","_CrPosZASL","_target","_rnd","_dir","_rnd1","_rnd2","_rnd3","_rnd4","_rnd5","_rnd6","_px","_py","_pz","_xoff","_yoff","_zoff","_mag","_dir",
	"_dx","_dy","_dz","_hmag","_zcomp","_ux","_uy","_uz"];
	_CrPos = [0,0,0];

	if ((typename (_this select 0)) == 'OBJECT') then 
		{
		_CrPos = [(getPosASL (_this select 0)) select 0,(getPosASL (_this select 0)) select 1,((getPosASL (_this select 0)) select 2) + 1.5];
		} 
	else 
		{
		_CrPos = _this select 0;
		};

	_CrPosZASL = _this select 1;
	_target = [0,0,0];

	if ((typename (_this select 2)) == 'OBJECT') then 
		{
		_target = [getPosASL (_this select 2) select 0,getPosASL (_this select 2) select 1,(getPosASL (_this select 2) select 2) + 1.5];
		} 
	else 
		{
		_target = _this select 2;
		};

	_rnd = _this select 3;

	_rnd1 = ((random _rnd)/5) + ((random _rnd)/5) + ((random _rnd)/5) + ((random _rnd)/5) + ((random _rnd)/5);
	_rnd2 = ((random _rnd)/5) + ((random _rnd)/5) + ((random _rnd)/5) + ((random _rnd)/5) + ((random _rnd)/5);
	_rnd3 = ((random _rnd)/5) + ((random _rnd)/5) + ((random _rnd)/5) + ((random _rnd)/5) + ((random _rnd)/5);
	_rnd4 = ((random _rnd)/5) + ((random _rnd)/5) + ((random _rnd)/5) + ((random _rnd)/5) + ((random _rnd)/5);
	_rnd5 = ((random _rnd)/5) + ((random _rnd)/5) + ((random _rnd)/5) + ((random _rnd)/5) + ((random _rnd)/5);
	_rnd6 = ((random _rnd)/5) + ((random _rnd)/5) + ((random _rnd)/5) + ((random _rnd)/5) + ((random _rnd)/5);

	_px = _CrPos select 0;
	_py = _CrPos select 1;
	_pz = _CrPosZASL;

	_xoff = (_target select 0) - _px;
	_yoff = (_target select 1) - _py;
	_zoff = (_target select 2) - _pz;
	_mag = sqrt(_xoff*_xoff + _yoff*_yoff + _zoff*_zoff);
	_dir = [(_xoff/_mag) + _rnd1 - _rnd2, (_yoff/_mag) + _rnd3 - _rnd4, (_zoff/_mag) + _rnd5 - (_rnd6/1.2)];
	_dx = _dir select 0;
	_dy = _dir select 1;
	_dz = _dir select 2;

	_hmag = sqrt(_dx*_dx + _dy*_dy);
	_zcomp = -_dz/_hmag;
	_ux = _zcomp*_dx;
	_uy = _zcomp*_dy;
	_uz = _hmag;

	[[_ux,_uy,_uz],_dir]
	};

RYD_VecTowardsB = 
	{
	private ["_CrPos","_CrPosZASL","_target","_rnd","_dir","_rnd1","_rnd2","_rnd3","_rnd4","_rnd5","_rnd6","_px","_py","_pz","_xoff","_yoff","_zoff","_mag","_dir",
	"_dx","_dy","_dz","_hmag","_zcomp","_ux","_uy","_uz","_aVert"];

	_CrPos = _this select 0;
	_CrPosZASL = _this select 1;
	_target = [getPosASL (_this select 2) select 0,getPosASL (_this select 2) select 1,(getPosASL (_this select 2) select 2) + 1.5];
	_rnd = _this select 3;
	_aVert = _this select 4;

	_rnd1 = ((random _rnd)/5) + ((random _rnd)/5) + ((random _rnd)/5) + ((random _rnd)/5) + ((random _rnd)/5);
	_rnd2 = ((random _rnd)/5) + ((random _rnd)/5) + ((random _rnd)/5) + ((random _rnd)/5) + ((random _rnd)/5);
	_rnd3 = ((random _rnd)/5) + ((random _rnd)/5) + ((random _rnd)/5) + ((random _rnd)/5) + ((random _rnd)/5);
	_rnd4 = ((random _rnd)/5) + ((random _rnd)/5) + ((random _rnd)/5) + ((random _rnd)/5) + ((random _rnd)/5);
	_rnd5 = ((random _rnd)/5) + ((random _rnd)/5) + ((random _rnd)/5) + ((random _rnd)/5) + ((random _rnd)/5);
	_rnd6 = ((random _rnd)/5) + ((random _rnd)/5) + ((random _rnd)/5) + ((random _rnd)/5) + ((random _rnd)/5);

	_px = _CrPos select 0;
	_py = _CrPos select 1;
	_pz = _CrPosZASL;

	_xoff = (_target select 0) - _px;
	_yoff = (_target select 1) - _py;
	_zoff = (_target select 2) - _pz;
	_mag = sqrt(_xoff*_xoff + _yoff*_yoff + _zoff*_zoff);
	_dir = [(_xoff/_mag) + _rnd1 - _rnd2, (_yoff/_mag) + _rnd3 - _rnd4, _aVert + _rnd5 - _rnd6];
	_dx = _dir select 0;
	_dy = _dir select 1;
	_dz = _dir select 2;

	_hmag = sqrt(_dx*_dx + _dy*_dy);
	_zcomp = -_dz/_hmag;
	_ux = _zcomp*_dx;
	_uy = _zcomp*_dy;
	_uz = _hmag;

	[[_ux,_uy,_uz],_dir]
	};

RYD_RPointsAround = 
	{
	private ["_sourceP","_radiusMin","_radiusMax","_min","_above","_points","_minPC","_posX","_posY","_pos","_ct"];

	_sourceP = ObjNull;

	if ((typename (_this select 0)) == 'OBJECT') then 
		{
		_sourceP = getPosASL (_this select 0);
		} 
	else 
		{
		_sourceP = _this select 0;
		};

	_radiusMin = _this select 1;
	_radiusMax = _this select 2;
	_min = _this select 3;
	_above = _this select 4;

	_points = [];
	_minPC = _min + (round (random _above));
	while {((count _points) < _minPC)} do
		{
		_posX = (_sourceP select 0) + (random (2 * _radiusMax)) - _radiusMax;
		_posY = (_sourceP select 1) + (random (2 * _radiusMax)) - _radiusMax;
		_pos = [_posX,_posY];
		_ct = 0;

		while {((((_pos distance _sourceP) < _radiusMin) or (surfaceIsWater _pos)) and (_ct < 500))} do
			{
			_posX = (_sourceP select 0) + (random (2 * _radiusMax)) - _radiusMax;
			_posY = (_sourceP select 1) + (random (2 * _radiusMax)) - _radiusMax;
			_pos = [_posX,_posY];
			_ct = _ct + 1;
			};

		_points set [(count _points),_pos];
		};

	_points
	};

RYD_RDirVel = 
	{
	private ["_amountMin","_above","_dirV","_amount","_vz","_vx","_vy"];

	_amountMin = _this select 0;
	_above = _this select 1;

	_dirV = [];
	_amount = _amountMin + (round (random _above)); 

	while {((count _dirV) < _amount)} do
		{
		_vz = 20 + (random 50);

		_vx = ((random 2) - 1) * (10 + (random 40));
		_vy = ((random 2) - 1) * (10 + (random 40));

		while {(((abs _vx) < 5) or ((abs _vx) > (_vz/2)))} do
			{
			_vx = ((random 2) - 1) * (20 + (random 80));
			};

		while {(((abs _vy) < 5) or ((abs _vy) > (_vz/2)))} do
			{
			_vy = ((random 2) - 1) * (20 + (random 80));
			};

		_dirV set [(count _dirV),[_vx,_vy,_vz]];
		};

	_dirV;
	};

RYD_RndMoveAround = 
	{
	private ["_wanderer","_speedM","_rd","_WanPos","_WpPos","_ct"];

	_wanderer = _this select 0;
	_speedM = _this select 1;
	_rd = _this select 2;

	while {((not (isNull _wanderer)) and (alive _wanderer))} do
		{
		_WanPos = getPos _wanderer;
		_WpPos = [(_WanPos select 0) + (random (2 * _rd)) - _rd,(_WanPos select 1) + (random (2 * _rd)) - _rd,0];
		_ct = 0;

		while {((surfaceIsWater [_WpPos select 0, _WpPos select 1]) and (_ct < 50))} do
			{
			_WpPos = [(_WanPos select 0) + (random (2 * _rd)) - _rd,(_WanPos select 1) + (random (2 * _rd)) - _rd,0];
			_ct = _ct + 1;
			};

		_wanderer doMove _WpPos;
		_wanderer setSpeedMode _speedM; 

		waituntil {sleep 5; ((abs (speed _wanderer)) < 0.1)};
		};
	};

RYD_FollowMove = 
	{
	private ["_wanderer","_speedM","_target","_WpPos"];

	_wanderer = _this select 0;
	_target = _this select 1;
	_speedM = _this select 2;

	while {((not (isNull _wanderer)) and (alive _wanderer))} do
		{
		_WpPos = getPos _target;

		_wanderer doMove _WpPos;
		_wanderer setSpeedMode _speedM; 
		sleep 2
		}
	};

RYD_SummonU = 	
	{
	private ["_types","_side","_place","_nbr","_HQ","_SummonedGrp"];
	
	_types = _this select 0;
	_side = _this select 1;
	_place = _this select 2;
	_nbr = _this select 3;
	
	_HQ = createCenter _side;
	_SummonedGrp = createGroup _side;
	while {(_nbr > 0)} do
		{
		(_types select (floor (random (count _types)))) createUnit [_place,_SummonedGrp];
		_nbr = _nbr - 1;
		};

	_SummonedGrp
	};

RYD_SADPatrol = 
	{
	private ["_unit","_uG","_protected","_type","_beh","_CM","_speed","_form","_stat","_cyclic","_rMin","_rMax","_acc","_minA","_maxA","_deleteAll","_points","_points2","_nE","_WPs","_wp"];

	_unit = ObjNull;
	_uG = GrpNull;

	if ((typename (_this select 0)) == 'OBJECT') then 
		{
		_unit = _this select 0;
		_uG = group _unit;
		} 
	else 
		{
		_uG = _this select 0;
		_unit = leader (_uG)
		};


	_protected = _this select 1;
	_type  = "SAD";
	if ((count _this) > 2) then {_type = _this select 2};
	_beh = "AWARE";
	if ((count _this) > 3) then {_beh = _this select 3};
	_CM = "YELLOW";
	if ((count _this) > 4) then {_CM = _this select 4};
	_speed = "NORMAL";
	if ((count _this) > 5) then {_speed = _this select 5};
	_form = "FILE";
	if ((count _this) > 6) then {_form = _this select 6};
	_stat = ["true",""];
	if ((count _this) > 7) then {_stat = _this select 7};
	_cyclic = true;
	if ((count _this) > 8) then {_cyclic = _this select 8};
	_rMin = 300;
	if ((count _this) > 9) then {_rMin = _this select 9};
	_rMax = 600;
	if ((count _this) > 10) then {_rMin = _this select 10};
	_acc = 0;
	if ((count _this) > 11) then {_rMin = _this select 11};
	_minA = 2;
	if ((count _this) > 12) then {_minA = _this select 12};
	_maxA = 5;
	if ((count _this) > 13) then {_maxA = _this select 13};
	_deleteAll = true;
	if ((count _this) > 14) then {_deleteAll = _this select 14};

	if (_deleteAll) then 
		{
		while {((count (waypoints _uG)) > 0)} do
			{
			deleteWaypoint ((waypoints _uG) select (count (waypoints _uG) - 1));
			}
		}
	else
		{
		deleteWaypoint ((waypoints _uG) select 0);
		};

	_nE = _unit findNearestEnemy _protected;
	if (isNull _nE) then {_nE = _protected};
	_points = [getPosASL _nE];
	_points2 = [_unit,_rMin,_rMax,_minA,_maxA] call RYD_RPointsAround;
	_points = _points + _points2;
	_WPs = [];

		{
		_wp = _uG addWaypoint [_x, _acc];
		_wp setWaypointType _type;
		_wp setWaypointBehaviour _beh;
		_wp setWaypointCombatMode _CM;
		_wp setWaypointSpeed _speed;
		_wp setWaypointFormation _form;
		_wp setWaypointStatements _stat;

		_WPs set [(count _WPs),_wp];
		}
	foreach _points;

	if (_cyclic) then 
		{
		_wp = _uG addWaypoint [(_points select 0), _acc];
		_wp setWaypointType "CYCLE";
		_wp setWaypointBehaviour _beh;
		_wp setWaypointCombatMode _CM;
		_wp setWaypointSpeed _speed;
		_wp setWaypointFormation _form;
		_wp setWaypointStatements _stat;

		_WPs set [(count _WPs),_wp];
		};

	_uG setCurrentWaypoint (_WPs select 0);

	_WPs
	};

RYD_SummonV = 	
	{
	private ["_types","_side","_place","_nbr","_state","_lock","_HQ","_SummonedGrp","_veh","_ifOA160","_frPos","_crew0","_crew1","_crew2"];

	_types = _this select 0;
	_side = _this select 1;
	_place = _this select 2;
	_nbr = _this select 3;
	_state = _this select 4;
	_lock = _this select 5;
	
	_HQ = createCenter _side;
	_SummonedGrp = createGroup _side;
	while {(_nbr > 0)} do
		{
		_veh = createVehicle [(_types select (floor (random (count _types)))), _place, [], 0, _state];
		_ifOA160 = Alldead;
		if not (isNil ("_ifOA160")) then {_veh allowCrewInImmobile true};

		_frPos = _veh emptyPositions "commander";
		if (_frPos > 0) then 
			{
			"GUE_Soldier_Crew" createUnit [_place,_SummonedGrp];
			_crew0 = (units _SummonedGrp) select ((count (units _SummonedGrp)) - 1);
			_crew0 assignAsCommander _veh;
			_crew0 moveInCommander _veh;
			};

		_frPos = _veh emptyPositions "driver";
		if (_frPos > 0) then 
			{
			"GUE_Soldier_Crew" createUnit [_place,_SummonedGrp];
			_crew1 = (units _SummonedGrp) select ((count (units _SummonedGrp)) - 1);
			_crew1 assignAsDriver _veh;
			_crew1 moveInDriver _veh;
			};

		_frPos = _veh emptyPositions "gunner";
		if (_frPos > 0) then 
			{
			"GUE_Soldier_Crew" createUnit [_place,_SummonedGrp];
			_crew2 = (units _SummonedGrp) select ((count (units _SummonedGrp)) - 1);
			_crew2 assignAsGunner _veh;
			_crew2 moveInGunner _veh;
			};

		_nbr = _nbr - 1;

		sleep 0.01;

		if (_lock) then {_veh lock true};
		};

	_SummonedGrp
	};