private ["_mage","_autonomy","_mode","_initLevel","_initPractice","_initChann","_initSumm","_initMani","_level","_aID"];

_mage = _this select 0;
_autonomy = _this select 1;
_mode = _this select 2;

if (RCW_DeathEffects) then {_mage addEventhandler ["Killed",{nul = _this spawn RYDVIS_BMDEATH}]};

_initLevel = 1;
_initPractice = 1;
_initChann = 1;
_initSumm = 1;
_initMani = 1;

if ((_mode == "RANDOM") or ((_mode == "LOST") and not (isPlayer _mage))) then
	{
	_initLevel = round (((random 2) + (random 2) + (random 2) + (random 1)) - (random 2));
	if (_initLevel < 1) then {_initLevel = 1};
	_initPractice = (50 * (_initlevel - 1) * (_initlevel - 1)) + ((round (random 49)) * _initlevel);
	_initChann = ceil (_initPractice/3);
	_initSumm = ceil (_initPractice/3);
	_initMani = ceil (_initPractice/3);
	};

if (RCW_Dbg) then {diag_log format ["%7 Mage: %1 Level: %2 Pract: %3 Chann: %4 Summ: %5 Manip: %6",_mage,_initLevel,_initPractice,_initChann,_initSumm,_initMani,(side _mage)]};
_mage setVariable [("Level" + (str _mage)),_initLevel,false];

_mage setVariable [("Practice" + (str _mage)),_initPractice,false];

_mage setVariable [("Channeling" + (str _mage)),_initChann,false];
_mage setVariable [("Summoning" + (str _mage)),_initSumm,false];
_mage setVariable [("Manipulation" + (str _mage)),_initMani,false];


_mage setVariable [("Spells" + (str _mage)),[],false];

_level = _mage getVariable ("Level" + (str _mage));
_mage setVariable [("Mana" + (str _mage)),(100 * _level),false];

_mage setVariable [("NearSource" + (str _mage)),false,false];
_mage setVariable [("isWitching" + (str _mage)),false,false];

if (isPlayer _mage) then 
	{
	_aID = _mage addAction ["BM Status", "MageStatus.sqf", [], -500, false, true, "", "true"];
	[_mage] spawn
		{
		private ["_mage","_first","_ct","_Clevel","_name","_aID","_ifAdd","_isAdded","_level","_exist"];

		_mage = _this select 0;

		_first = true;
		_ct = 22;
	
		while {((alive _mage) and not (isNull _mage))} do
			{
			_Clevel = _mage getVariable ("Level" + (str _mage));
			_exist = true;

			waitUntil 
				{
				sleep 10;
				if (isNull _mage) then {_exist = false};
				if not (alive _mage) then {_exist = false};

				(((_mage getvariable ("Level" + (str _mage))) > _Clevel) or (_first) or not (_exist))
				};

			if not (_exist) exitwith {};
			_first = false;

				{
				_name = "spell";
				switch (true) do
					{
					case ((_x select 0) == "RYDMGCK_CLAIRVOYANT") : {_name = "Awareness"};
					case ((_x select 0) == "RYDMGCK_ICESTORM") : {_name = "Ice Storm"};
					case ((_x select 0) == "RYDMGCK_SHIELD") : {_name = "Bullet Resistance"};
					case ((_x select 0) == "RYDMGCK_SKYCANDLE") : {_name = "Sky-Candle"};
					case ((_x select 0) == "RYDMGCK_TELEPORT") : {_name = "Random Dislocation"};
					case ((_x select 0) == "RYDMGCK_DRAGONSCRY") : {_name = "Dragon Wing"};
					case ((_x select 0) == "RYDMGCK_FREEZE") : {_name = "Freeze"};
					case ((_x select 0) == "RYDMGCK_INVISIBILITY") : {_name = "Optical Camouflage"};
					case ((_x select 0) == "RYDMGCK_CATAPULT") : {_name = "Catapult"};
					case ((_x select 0) == "RYDMGCK_CURSE") : {_name = "Incompetence Curse"};
					case ((_x select 0) == "RYDMGCK_FIREBALL") : {_name = "Fireball"};
					case ((_x select 0) == "RYDMGCK_FLYINGCARPET") : {_name = "Airlift"};
					case ((_x select 0) == "RYDMGCK_LIFEDRAIN") : {_name = "Life Drain"};
					case ((_x select 0) == "RYDMGCK_SUMMONELF") : {_name = "Summon Elf"};
					case ((_x select 0) == "RYDMGCK_CHICKENCURSE") : {_name = "Chicken Curse"};
					case ((_x select 0) == "RYDMGCK_MADNESS") : {_name = "Madness"};
					case ((_x select 0) == "RYDMGCK_SUMMONORCS") : {_name = "Summon Orcs"};
					case ((_x select 0) == "RYDMGCK_MADRABBITS") : {_name = "Rabbid"};
					case ((_x select 0) == "RYDMGCK_SUMMONEARTHELEMENTAL") : {_name = "Summon Earth Elemental"};
					case ((_x select 0) == "RYDMGCK_SUMMONFIREELEMENTAL") : {_name = "Summon Fire Elemental"};
					case ((_x select 0) == "RYDMGCK_SUMMONDRAGON") : {_name = "Summon Dragon"};
					case ((_x select 0) == "RYDMGCK_METEORSHOWER") : {_name = "Meteor Shower"};
					default {};
					};

				_ifAdd = "true";
				_isAdded = _mage getVariable ("Spells" + (str _mage));
				if (isNil ("_isAdded")) then {_isAdded = []};
				_level = _mage getVariable ("Level" + (str _mage));

				if (not ((_x select 0) in _isAdded) and (_level >= (_x select 1))) then
					{
					_aID = _mage addAction [_name, "EnchantInit.sqf", [(_x select 0),(_x select 1)], _ct, false, true, "", _ifAdd];
					_isAdded set [(count _isAdded),(_x select 0)];

					_mage setVariable [("Spells" + (str _mage)),_isAdded,false];
					_ct = _ct - 1
					}
				}
			foreach RYDMGCK_SPELLBOOK
			}
		}
	};

[_mage] spawn
	{
	private ["_mage","_exist"];

	_mage = _this select 0;
	_exist = true;
	waituntil 
		{
		sleep 5;
		if (isNull _mage) then {_exist = false};
		if not (alive _mage) then {_exist = false}; 

		if ((format ["%1",(side _mage)]) in RCW_SEx) then
			{
			if not (isPlayer _mage) then
				{
				if not (_mage in (synchronizedObjects MagickSource)) then {_exist = false}
				}
			};

		not (_exist)
		};

	RYDMGCK_MAGES = RYDMGCK_MAGES - [_mage]
	};

[_mage] spawn
	{
	private ["_mage","_exist"];

	_mage = _this select 0;

	_exist = true;

	while {(_exist)} do 
		{
			{
			if ((position _mage) in _x) exitwith 
				{
				_mage setVariable [("NearSource" + (str _mage)),true,false];
				if (isPlayer _mage) then {hintSilent "You feel mana source nearby"};
				};
			sleep 0.01;
			}
		foreach RYDMGCK_MANASOURCES;

		sleep 60;

		if (isNull _mage) then {_exist = false};
		if not (alive _mage) then {_exist = false}
		}
	};

[_mage] spawn
	{
	private ["_mage","_mana","_nearMS","_mpl","_newMana","_level","_exist"];

	_mage = _this select 0;

	_exist = true;

	while {(_exist)} do 
		{
		_mana = _mage getVariable ("Mana" + (str _mage));
		_level = _mage getVariable ("Level" + (str _mage));
		if (_mana > (_level * 100)) then {_mana = _level * 100};
		_nearMS = _mage getVariable ("NearSource" + (str _mage));
		_mpl = 0.5;
		if (_nearMS) then {_mpl = 10};
		_newMana = _mana + (ceil ((_level * _mpl)/(sqrt (_mana + 1))));
		_mage setVariable [("Mana" + (str _mage)),_newMana,false];

		sleep 5;

		if (isNull _mage) then {_exist = false};
		if not (alive _mage) then {_exist = false}
		}
	};

[_mage] spawn
	{
	private ["_mage","_Plevel","_first","_spells","_exist"];

	_mage = _this select 0;
	if (isPlayer _mage) exitwith {};
	_Plevel = _mage getVariable ("Level" + (str _mage));
	_first = true;
	_exist = true;

	while {(_exist)} do 
		{
		_exist = true;
		waituntil 
			{
			sleep 30;
			if (isNull _mage) then {_exist = false};
			if not (alive _mage)  then {_exist = false}; 
			(((_mage getVariable ("Level" + (str _mage))) > _Plevel) or (_first) or not (_exist))
			};

		_first = false;
		_Plevel = _mage getVariable ("Level" + (str _mage));

		if not (_exist) exitwith {};

		_spells = [];

			{
			if ((_x select 1) <= _PLevel) then {_spells set [(count _spells),(_x select 0)]};
			}
		foreach RYDMGCK_SPELLBOOK;

		_mage setVariable [("Spells" + (str _mage)),_spells,false];
		sleep 30
		}
	};

[_mage] spawn
	{
	private ["_mage","_level","_exist"];

	_mage = _this select 0;

	_exist = true;

	while {(_exist)} do 
		{
		_level = _mage getVariable ("Level" + (str _mage));
		_exist = true;
		waitUntil 
			{
			sleep 60;
			if (isNull _mage) then {_exist = false};
			if not (alive _mage)  then {_exist = false}; 
			(((_mage getvariable ("Practice" + (str _mage))) > (50 * _level * _level)) or not (_exist))
			};

		if not (_exist) exitwith {};
		_mage setVariable [("Level" + (str _mage)),_level + 1,false];

		if (isPlayer _mage) then 
			{
			_level = _mage getVariable ("Level" + (str _mage));
			hintSilent format ["Achieved level %1",_level]
			}
		}
	};
if not (isPlayer _mage) then 
	{
	if (_autonomy) then
		{
		[_mage] spawn
			{
			private ["_mage","_grp","_nLs","_select","_ct","_tgt","_wp","_WPs","_exist","_isMage"];

			_mage = _this select 0;

			_grp = group _mage;

			_isMage = true;

			while {(_isMage)} do 
				{
				if (isNull _mage) exitwith {};
				if not (alive _mage) exitwith {}; 

				if ((((count (waypoints _mage)) <= 1) and ((random 100) > 30)) or ((random 100) > 90)) then
					{
					_nLs  = nearestLocations [(getPos _mage), RYDMGCK_SOURCETYPES, 5000];

					while {((count (waypoints _grp)) > 0)} do
						{
						deleteWaypoint ((waypoints _grp) select (count (waypoints _grp) - 1));
						};

					_select = 0;
					_ct = 0;
					while {(((random 100) > (50 + _ct)) and ((count _nLs) > 0))} do
						{
						if (_select >= ((count _nLs) - 1)) exitwith {_select == ((count _nLs) - 1)};
						_select = _select + 1;
						if (_ct <= 45) then {_ct = _ct + 5};
						if ((_ct > 45) and (_ct < 49)) then {_ct = _ct + 1};
						};

					_tgt = position (_nLs select _select);

					if ((count _nLs) == 0) then {_tgt = ([_mage,500,2500,1,0] call RYD_RPointsAround) select 0};

					_wp = _grp addWaypoint [_tgt, 20];
					_wp setWaypointType "MOVE";
					_wp setWaypointBehaviour "AWARE";
					_wp setWaypointCombatMode "YELLOW";
					_wp setWaypointSpeed "NORMAL";
					_wp setWaypointFormation "FILE";
					_wp setWaypointStatements ["true",""];

					_exist = true;
					waituntil 
						{
						sleep 10;
						if (isNull _mage) then {_exist = false};
						if not (alive _mage) then {_exist = false}; 
						(((_mage distance _tgt) < 30) or not (_exist))
						};

					if not (_exist) exitwith {};

					_WPs = [_grp,_mage,"SAD","AWARE","YELLOW","NORMAL","VEDGE",["true",""],false,200,600,0,2,5,true] call RYD_SADPatrol;

					sleep (120 + (random 120));

					_exist = true;
					waituntil 
						{
						sleep 30; 
						if (isNull _mage) then {_exist = false};
						if not (alive _mage) then {_exist = false};
						(((random 100) > 90) or not (_exist))
						};

					if not (_exist) exitwith {};

					while {((count (waypoints _grp)) > 0)} do
						{
						deleteWaypoint ((waypoints _grp) select (count (waypoints _grp) - 1));
						}

					};
				sleep 20
				}
			}
		};

	[_mage] spawn
		{
		private ["_mage","_nE","_isWitching","_exist"];

		_mage = _this select 0;

		_exist = true;

		while {(_exist)} do 
			{
			_nE = _mage findNearestEnemy _mage;
			_isWitching = _mage getVariable ("isWitching" + (str _mage));
			if (isNil ("_isWitching")) then {_isWitching = false};

			if (not ((isNull _nE) or (_isWitching)) and ((random 100) > 50)) then
				{
				[_nE,_mage] spawn EnchantInit
				};

			sleep 10;

			if (isNull _mage) then {_exist = false};
			if not (alive _mage) then {_exist = false}
			}
		}
	};